QGIS Application - Bug report #9597
2.1.0 revision c9a88c1 fails to export spatial information from polyline shape layer to csv
2014-02-18 01:18 PM - kilo lima

Status: Closed

Priority: Normal

Assignee:

Category:

Affected QGIS version:2.0.1 Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 18175
Description

Including:

GEOMETRY=AS_WKT
SEPARATOR=SEMICOLON
LINEFORMAT=CRLF

Into the Layer options in the CSV "save..as" dialog in the last stable release (2.0.1 Dufour) results in an expected csv of polyline
information. However, attempting to do the same in 2.1.0 only produces a csv of the attribute information without any of the spatial WKT
fields.

Also note: under the "More Options >> Layer Options" section of the "Save Vector Layer" dialog there is a drop-down menu for
GEOMETRY. The mouse-over help text states "It is possible to export the geometry in its WKT definition by specifying
GEOMETRY=AS_WKT". However, there is no GEOMETRY=AS_WKT option in the drop down menu.

Associated revisions

Revision 3dc2d8c0 - 2014-03-29 11:02 PM - Werner Macho

typo in assigning values, fixes #9597

Signed-off-by: Werner Macho <werner.macho@gmail.com>

History

#1 - 2014-03-11 01:31 PM - S Mentzer

Looks like lines 585 and 598 should be swapped in https:/github.com/qgis/QGIS/blob/master/src/core/qgsvectorfilewriter.cpp

#2 - 2014-03-29 03:03 PM - Werner Macho
- Status changed from Open to Closed

Fixed in changeset commit:"3dc2d8c0eaae4111c5693d08cc3aa2612e66b6f1".
